Package org.spongepowered.asm.service

## Interface ITransformerProvider

    public interface ITransformerProvider

Interface for interacting with transforming classloaders. This service component is entirely optional and services can elect to return `null` if the platform does not support interacting with the transformer chain (or doesn't have a transformer chain!)

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addTransformerExclusion​(java.lang.String name)` Adds a transformer to the transformer exclusions list
`java.util.Collection<ITransformer>` `getDelegatedTransformers()` Get currently available transformers in the environment
`java.util.Collection<ITransformer>` `getTransformers()` Get currently available transformers in the environment

### Method Detail

#### getTransformers

    java.util.Collection<ITransformer> getTransformers()

Get currently available transformers in the environment

#### getDelegatedTransformers

    java.util.Collection<ITransformer> getDelegatedTransformers()

Get currently available transformers in the environment

#### addTransformerExclusion

    void addTransformerExclusion​(java.lang.String name)

Adds a transformer to the transformer exclusions list

Parameters:
  `name` - Class transformer exclusion to add